%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

%define build_gssapi 1
%define build_ldap 1
%define build_lucene 1
%define build_solr 1
%define build_mysql 1
%define build_pgsql 1
%define build_sqlite 1
%define build_pigeonhole 1

%{?_with_gssapi: %{expand: %%global build_gssapi 1}}
%{?_without_gssapi: %{expand: %%global build_gssapi 0}}
%{?_with_ldap: %{expand: %%global build_ldap 1}}
%{?_without_ldap: %{expand: %%global build_ldap 0}}
%{?_with_lucene: %{expand: %%global build_lucene 1}}
%{?_without_lucene: %{expand: %%global build_lucene 0}}
%{?_with_solr: %{expand: %%global build_solr 1}}
%{?_without_solr: %{expand: %%global build_solr 0}}
%{?_with_mysql: %{expand: %%global build_mysql 1}}
%{?_without_mysql: %{expand: %%global build_mysql 0}}
%{?_with_pgsql: %{expand: %%global build_pgsql 1}}
%{?_without_pgsql: %{expand: %%global build_pgsql 0}}
%{?_with_sqlite: %{expand: %%global build_sqlite 1}}
%{?_without_sqlite: %{expand: %%global build_sqlite 0}}
%{?_with_pigeonhole: %{expand: %%global build_pigeonhole 1}}
%{?_without_pigeonhole: %{expand: %%global build_pigeonhole 0}}

%define pigeonhole_ver 0.4.18

%define _disable_ld_no_undefined 1

Summary:	Secure IMAP and POP3 server
Name:		dovecot
Version:	2.2.29.1
Release:	%mkrel 1
License:	MIT and LGPLv2 and BSD-like and Public Domain
Group:		System/Servers
URL:		http://dovecot.org
Source0:	http://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz
Source1:	http://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz.sig
Source2:	%{name}-pamd
Source4:	http://dovecot.org/tools/migration_wuimp_to_dovecot.pl
Source5:	http://dovecot.org/tools/mboxcrypt.pl
Source6:	http://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz
Source7:	http://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz.sig
Source8:	http://www.earth.ox.ac.uk/~steve/sieve/procmail2sieve.pl
Source9:	%{name}-tmpfiles.conf
Patch0:		dovecot-2.2.6-compress-ldl.patch
Patch1:		dovecot-2.2.13-online.patch

Provides:	imap-server pop3-server
Provides:	imaps-server pop3s-server
Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper >= 0.21
Requires(post):	rpm-helper >= 0.21
Requires(preun): rpm-helper >= 0.21
Requires(postun): rpm-helper >= 0.21
Requires(post):	openssl
# for /etc/ssl/ symlinks
Requires:	rootcerts >= 20121018.00-2.mga3
BuildRequires:	pam-devel
BuildRequires:	openssl-devel
BuildRequires:	libsasl-devel
BuildRequires:	libcap-devel
BuildRequires:	gettext-devel
BuildRequires:	gc-devel
%if %{build_ldap}
BuildRequires:	openldap-devel
%endif
%if %{build_lucene}
BuildRequires:	clucene-devel
%endif
%if %{build_solr}
BuildRequires:	expat-devel
BuildRequires:	curl-devel
%endif
%if %{build_mysql}
BuildRequires:	mysql-devel
%endif
%if %{build_pgsql}
BuildRequires:	postgresql-devel
%endif
%if %{build_gssapi}
BuildRequires:	gssglue-devel
BuildRequires:	krb5-devel
%endif
%if %{build_sqlite}
BuildRequires: sqlite3-devel
%endif
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):

    --with[out] gssapi		GSSAPI support (enabled)
    --with[out] ldap		LDAP support (enabled)
    --with[out] lucene		Lucene support (enabled)
    --with[out] solr		Solr support (enabled)
    --with[out] mysql		MySQL support (enabled)
    --with[out] pgsql		PostgreSQL support (enabled)
    --with[out] sqlite		SQLite support (enabled)
    --with[out] sieve		Pigeonhole Sieve and ManageSieve support (enabled)

%if %{build_pigeonhole}

%package	pigeonhole
Summary:	Pigeonhole Sieve/ManageSieve plugin for dovecot LDA
Group:		System/Servers
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugins-sieve < 2.0, %{name}-plugins-managesieve < 2.0

%description	pigeonhole
This package provides the Pigeonhole Sieve/ManageSieve plugin version %{pigeonhole_ver}
for dovecot LDA.

%package	pigeonhole-devel
Summary:	Pigeonhole Sieve/ManageSieve development files
Group:		Development/C
Requires:	%{name}-pigeonhole >= %{version}

%description	pigeonhole-devel
This package contains development files for Pigeonhole Sieve/ManageSieve %{pigeonhole_ver}.

%endif

%if %{build_pgsql}
%package	plugins-pgsql
Summary:	Postgres SQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-pgsql
This package provides the Postgres SQL backend for dovecot-auth etc.
%endif

%if %{build_mysql}
%package	plugins-mysql
Summary:	MySQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-mysql
This package provides the MySQL backend for dovecot-auth etc.
%endif

%if %{build_ldap}
%package	plugins-ldap
Summary:	LDAP support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-ldap
This package provides LDAP capabilities to dovecot in a modular form.
%endif

%if %{build_gssapi}
%package	plugins-gssapi
Summary:	GSSAPI support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-gssapi
This package provides GSSAPI capabilities to dovecot in a modular form.
%endif

%if %{build_sqlite}
%package	plugins-sqlite
Summary:	SQLite backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-sqlite
This package provides the SQLite backend for dovecot-auth etc.
%endif

%package	devel
Summary:	Development files for Dovecot IMAP and POP3 server
Group:		Development/C
Requires:	%{name} >= %{version}

%description	devel
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

This package contains development files for dovecot.

%prep

%setup -q
# Bug #27491
%if %{build_lucene}
sed -i '/DEFAULT_INCLUDES *=/s|$| '"$(pkg-config --cflags libclucene-core)|" src/plugins/fts-lucene/Makefile.in
%endif

%if %{build_pigeonhole}
%setup -q -D -T -a 6
%define	pigeonhole_dir %{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}
%endif

%autopatch -p1

%build
%serverbuild
# (doktor5000) --with-gc causes memory leaks and is disregarded by upstream
# see https://bugs.mageia.org/show_bug.cgi?id=18047
%configure2_5x \
    --disable-static \
    --with-sql=plugin \
    --with-ssl=openssl \
    --with-nss \
    --without-gc \
    --with-libcap \
%if %{build_ldap}
    --with-ldap=plugin \
%endif
%if %{build_pgsql}
    --with-pgsql \
%endif
%if %{build_mysql}
    --with-mysql \
%endif
%if %{build_sqlite}
    --with-sqlite \
%endif
%if %{build_gssapi}
    --with-gssapi=plugin \
%endif
%if %{build_lucene}
    --with-lucene \
%endif
%if %{build_solr}
    --with-solr \
%endif
    --with-ssldir=%{_sysconfdir}/pki/tls \
    --with-moduledir=%{_libdir}/%{name}/modules \
    --with-rundir=/run/%{name} \
    --with-statedir=%{_localstatedir}/lib/%{name} \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%if %{build_pigeonhole}
pushd %{pigeonhole_dir}
autoreconf -fi
%configure2_5x \
    --disable-static \
    --with-dovecot=../ \
    --with-unfinished-features 
%make_build
popd
%endif

%install
install -d %{buildroot}%{_sysconfdir}/%{name}/conf.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/%{name}/modules
install -d %{buildroot}%{_localstatedir}/lib/%{name}

%make_install

%if %{build_pigeonhole}

pushd %{pigeonhole_dir}
%make_install
#mv %{buildroot}%{_libdir}/%{name}/sieve %{buildroot}%{_libdir}/%{name}/modules
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}-pigeonhole

%endif

cat %{SOURCE2} > %{buildroot}%{_sysconfdir}/pam.d/%{name}

install -m 644 doc/example-config/%{name}*.conf* %{buildroot}%{_sysconfdir}/%{name}
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d

# Since 2.2, Dovecot tries to listen to IPv4 and IPv6 interfaces by default.
# Dovecot won't start out of the box if IPv6 interface is not present.
# Let's switch to IPv4-only configuration for now.
sed -e "/listen =/ a\listen = *" -i %{buildroot}%{_sysconfdir}/%{name}/dovecot.conf

cp %{SOURCE4} .
cp %{SOURCE5} .

# procmail2sieve converter
install -d -m 755 %{buildroot}%{_bindir}
install %{SOURCE8} -m 755 %{buildroot}%{_bindir}
perl -pi -e 's|#!/usr/local/bin/perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_bindir}/procmail2sieve.pl

install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# remove the libtool archives
find %{buildroot} -name '*.la' -delete

 # automatic reloading for new plugins
%transfiletriggerin -- %{_libdir}/%{name}/modules/
systemctl try-restart %{name}.service


%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/false
%_pre_groupadd %{name} %{name}
%_pre_useradd dovenull /var/lib/%{name} /bin/false
%_pre_groupadd dovenull dovenull

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_create_ssl_certificate %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name}
%_postun_userdel dovenull
%_postun_groupdel dovenull

%files
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc mboxcrypt.pl migration_wuimp_to_dovecot.pl
%doc %{_docdir}/%{name}

%dir %{_sysconfdir}/dovecot
%dir %{_sysconfdir}/dovecot/conf.d
%config(noreplace) %{_sysconfdir}/dovecot/README
#list all so we'll be noticed if upstream changes anything
%config(noreplace) %{_sysconfdir}/dovecot/dovecot.conf
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-auth.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-auth.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-director.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-logging.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-mail.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-master.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-ssl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-lda.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-mailboxes.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-imap.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-lmtp.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-pop3.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-acl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-quota.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-plugin.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-checkpassword.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-deny.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-dict.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-master.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-passwdfile.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-static.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-system.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-vpopmail.conf.ext

%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%attr(0750,dovecot,dovecot) %dir %{_localstatedir}/lib/%{name}

%if %{build_pigeonhole}
%exclude %{_libdir}/%{name}/modules/lib90_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/sieve
%exclude %{_libdir}/%{name}/modules/doveadm/lib10_doveadm_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/settings/libmanagesieve*.so
%endif

%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync
%{_sbindir}/%{name}

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/dovecot-config
%{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/*/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%exclude %{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%{_libdir}/%{name}/libdcrypt_openssl.so
%{_libdir}/%{name}/libdovecot.so*
%{_libdir}/%{name}/libdovecot-compression.so*
%{_libdir}/%{name}/libdovecot-dsync.so*
%{_libdir}/%{name}/libdovecot-fts.so*
%{_libdir}/%{name}/libdovecot-lda.so*
%{_libdir}/%{name}/libdovecot-ldap.so*
%{_libdir}/%{name}/libdovecot-login.so*
%{_libdir}/%{name}/libdovecot-sql.so*
%{_libdir}/%{name}/libdovecot-storage.so*


%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/aggregator
%{_libexecdir}/%{name}/anvil
%{_libexecdir}/%{name}/auth
%{_libexecdir}/%{name}/checkpassword-reply
%{_libexecdir}/%{name}/config
%{_libexecdir}/%{name}/decode2text.sh
%{_libexecdir}/%{name}/deliver
%{_libexecdir}/%{name}/dict
%{_libexecdir}/%{name}/director
%{_libexecdir}/%{name}/dns-client
%{_libexecdir}/%{name}/doveadm-server
%{_libexecdir}/%{name}/dovecot-lda
%{_libexecdir}/%{name}/gdbhelper
%{_libexecdir}/%{name}/imap
%{_libexecdir}/%{name}/imap-hibernate
%{_libexecdir}/%{name}/imap-login
%{_libexecdir}/%{name}/imap-urlauth
%{_libexecdir}/%{name}/imap-urlauth-login
%{_libexecdir}/%{name}/imap-urlauth-worker
%{_libexecdir}/%{name}/indexer
%{_libexecdir}/%{name}/indexer-worker
%{_libexecdir}/%{name}/ipc
%{_libexecdir}/%{name}/lmtp
%{_libexecdir}/%{name}/log
%{_libexecdir}/%{name}/maildirlock
%{_libexecdir}/%{name}/pop3
%{_libexecdir}/%{name}/pop3-login
%{_libexecdir}/%{name}/quota-status
%{_libexecdir}/%{name}/rawlog
%{_libexecdir}/%{name}/replicator
%{_libexecdir}/%{name}/script
%{_libexecdir}/%{name}/script-login
%{_libexecdir}/%{name}/ssl-params
%{_libexecdir}/%{name}/stats
%{_libexecdir}/%{name}/xml2text

%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_tmpfilesdir}/%{name}.conf

%{_mandir}/man1/doveadm*.1*
%{_mandir}/man1/dovecot*.1*
%{_mandir}/man1/doveconf*.1*
%{_mandir}/man1/deliver.1*
%{_mandir}/man1/dsync.1*
%{_mandir}/man7/doveadm*.7*

# stopwords list for full text search library
%{_datadir}/%{name}/stopwords/stopwords_*.txt

%if %{build_pigeonhole}
%files pigeonhole
%doc %{pigeonhole_dir}/{AUTHORS,ChangeLog,COPYING*,INSTALL,NEWS,README}
%doc %{pigeonhole_dir}/doc/*
%{_sysconfdir}/%{name}/conf.d/20-managesieve.conf
%{_sysconfdir}/%{name}/conf.d/90-sieve.conf
%{_sysconfdir}/%{name}/conf.d/90-sieve-extprograms.conf
%{_bindir}/procmail2sieve.pl
%{_bindir}/sieve-dump
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_libdir}/%{name}/lib%{name}-sieve.so*
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login
%{_libdir}/%{name}/modules/lib90_sieve_plugin.so
%dir %{_libdir}/%{name}/modules/sieve
%{_libdir}/%{name}/modules/sieve/lib90_sieve_extprograms_plugin.so
%{_libdir}/%{name}/modules/doveadm/lib10_doveadm_sieve_plugin.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_settings.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_login_settings.so
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man7/pigeonhole.7*

%files pigeonhole-devel
%{_includedir}/%{name}/sieve
%{_datadir}/aclocal/dovecot-pigeonhole.m4

%endif

%if %{build_ldap}
%files plugins-ldap
%{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%endif

%if %{build_gssapi}
%files plugins-gssapi
%{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%endif

%if %{build_sqlite}
%files plugins-sqlite
%{_libdir}/%{name}/modules/libdriver_sqlite.so
%{_libdir}/%{name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{name}/modules/dict/libdriver_sqlite.so
%endif

%if %{build_mysql}
%files plugins-mysql
%{_libdir}/%{name}/modules/libdriver_mysql.so
%{_libdir}/%{name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{name}/modules/dict/libdriver_mysql.so
%endif

%if %{build_pgsql}
%files plugins-pgsql
%{_libdir}/%{name}/modules/libdriver_pgsql.so
%{_libdir}/%{name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{name}/modules/dict/libdriver_pgsql.so
%endif

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}/dovecot-config
%{_datadir}/aclocal/%{name}.m4
%if %{build_pigeonhole}
%exclude %{_includedir}/%{name}/sieve
%endif


%changelog
* Fri Apr 14 2017 luigiwalser <luigiwalser> 2.2.29.1-1.mga6
+ Revision: 1096548
- dovecot 2.2.29.1
- pigeonhole 0.4.18

* Mon Mar 20 2017 akien <akien> 2.2.28-2.mga6
+ Revision: 1093675
- Rebuild for icu 58.2

* Wed Mar 01 2017 luigiwalser <luigiwalser> 2.2.28-1.mga6
+ Revision: 1088219
- dovecot 2.2.28
- pigeonhole 0.4.17

* Tue Jan 03 2017 luigiwalser <luigiwalser> 2.2.27-2.mga6
+ Revision: 1079899
- pigeonhole 0.4.16

* Tue Jan 03 2017 guillomovitch <guillomovitch> 2.2.27-1.mga6
+ Revision: 1079840
- new version 2.2.27

* Sun Oct 30 2016 luigiwalser <luigiwalser> 2.2.25-2.mga6
+ Revision: 1064107
- pigeonhole 0.4.15

* Tue Jul 05 2016 luigiwalser <luigiwalser> 2.2.25-1.mga6
+ Revision: 1039039
- 2.2.25

* Sat May 14 2016 daviddavid <daviddavid> 2.2.24-2.mga6
+ Revision: 1015549
- rebuild for new icu

* Mon May 09 2016 luigiwalser <luigiwalser> 2.2.24-1.mga6
+ Revision: 1011780
- dovecot 2.2.24
- pigeonhole 0.4.14

* Wed Mar 30 2016 luigiwalser <luigiwalser> 2.2.23-1.mga6
+ Revision: 996876
- dovecot 2.2.23
- pigeonhole 0.4.13

* Mon Mar 21 2016 doktor5000 <doktor5000> 2.2.22-2.mga6
+ Revision: 993473
- disable --with-gc as it causes memory leaks and is disregarded (mga#18047)
  o thanks to Dieter Schuetze for the report and upstream pointer

* Wed Mar 16 2016 luigiwalser <luigiwalser> 2.2.22-1.mga6
+ Revision: 992035
- dovecot 2.2.22
- pigeonhole 0.4.12

* Wed Mar 02 2016 umeabot <umeabot> 2.2.21-5.mga6
+ Revision: 983362
- Rebuild for openssl

* Sun Feb 28 2016 oden <oden> 2.2.21-4.mga6
+ Revision: 980337
- rebuilt for postgresql 9.5.x

* Fri Feb 12 2016 doktor5000 <doktor5000> 2.2.21-3.mga6
+ Revision: 957368
- drop old deprecated filetriggers
- add transaction-based filetrigger

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.2.21-2.mga6
+ Revision: 917824
- rebuild for icu

* Sun Dec 27 2015 luigiwalser <luigiwalser> 2.2.21-1.mga6
+ Revision: 915690
- disable linking error due to doveadm-sieve plugin for now
- dovecot 2.2.21
- pigeonhole 0.4.10

* Wed Nov 25 2015 luigiwalser <luigiwalser> 2.2.19-2.mga6
+ Revision: 905988
- add patch from fedora to start after network-online.target (mga#17219)

* Tue Nov 17 2015 ycantin <ycantin> 2.2.19-1.mga6
+ Revision: 903840
- new version 2.2.19 (mga#17162)
- new 2.2 pigeonhole version 0.4.9

* Thu Aug 13 2015 ycantin <ycantin> 2.2.18-1.mga6
+ Revision: 864146
- new version 2.2.18
- new 2.2 pigeonhole version 0.4.8

* Wed Jul 08 2015 guillomovitch <guillomovitch> 2.2.13-6.mga6
+ Revision: 852879
- fix file conflict with gssapi and ldap plugins

* Tue Nov 25 2014 cjw <cjw> 2.2.13-5.mga5
+ Revision: 798980
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.13-4.mga5
+ Revision: 744452
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 tv <tv> 2.2.13-3.mga5
+ Revision: 697350
- excludes requires from doc (mga#14116)

* Tue Sep 16 2014 umeabot <umeabot> 2.2.13-2.mga5
+ Revision: 678822
- Mageia 5 Mass Rebuild

* Tue May 13 2014 oden <oden> 2.2.13-1.mga5
+ Revision: 622466
- dovecot-2.2.13 (fixes CVE-2014-3430)
- pigeonhole-0.4.3

* Wed Apr 02 2014 anssi <anssi> 2.2.6-3.mga5
+ Revision: 611246
- fix wrong sieve extprograms plugin location that prevented it from
  being used

* Tue Oct 22 2013 umeabot <umeabot> 2.2.6-2.mga4
+ Revision: 541337
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 mitya <mitya> 2.2.6-1.mga4
+ Revision: 495613
- New version 2.2.6

  + luigiwalser <luigiwalser>
    - add Requires(post): openssl, for create_ssl_certificate call (mga#10243)

* Mon Aug 19 2013 fwang <fwang> 2.1.17-1.mga4
+ Revision: 467648
- new version 2.1.17
- use -fi

* Mon Jun 17 2013 fwang <fwang> 2.1.16-1.mga4
+ Revision: 444017
- update file list
- new version 2.1.16

* Fri Jun 07 2013 guillomovitch <guillomovitch> 2.1.15-3.mga4
+ Revision: 439545
- fix configuration files permissions
- cleanup documentation files

* Sun Mar 24 2013 colin <colin> 2.1.15-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Feb 10 2013 mitya <mitya> 2.1.15-1.mga3
+ Revision: 397698
- New version 2.1.15

* Sat Jan 12 2013 colin <colin> 2.1.13-3.mga3
+ Revision: 358975
- Fix filelist
- Switch to tmpfiles for /var/run dirs
- Use filetriggers for restarts on module install

* Fri Jan 11 2013 umeabot <umeabot> 2.1.13-2.mga3
+ Revision: 349071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 mitya <mitya> 2.1.13-1.mga3
+ Revision: 341127
- New version 2.1.13

* Mon Jan 07 2013 blino <blino> 2.1.12-4.mga3
+ Revision: 340670
- explicitely list all conf files to notice changes
- drop special perms in /etc (like Fedora) and make conf files world
  readable, so that LIBDIR/dovecot/imap can be run as user (e.g. for
  gnus); password can be stored in different file readable only for root
  via !include_try directive
- allow to skip prep/build in rpm build by not removing build system files and dirs
- drop ssl paths patch and require newer rootcerts for compat paths
- drop now unused initscript

* Sun Jan 06 2013 pterjan <pterjan> 2.1.12-3.mga3
+ Revision: 339606
- Fix for _libdir != _libexecdir

* Wed Dec 26 2012 mitya <mitya> 2.1.12-2.mga3
+ Revision: 335259
- Switch to upstream method to fix underlinking

* Sun Dec 23 2012 mitya <mitya> 2.1.12-1.mga3
+ Revision: 334073
- Dovecot 2.1.12
- Pigeonhole 0.3.3

* Sun Feb 26 2012 colin <colin> 1.2.17-3.mga2
+ Revision: 215373
- Fix filelist
- Fix build with automake 1.11.2+
- Fix pidfile LSB header (mga#3823)

* Tue Dec 20 2011 dmorgan <dmorgan> 1.2.17-2.mga2
+ Revision: 185101
- Create  /var/run/dovecot ( mga #3823)

* Thu Sep 29 2011 mikala <mikala> 1.2.17-1.mga2
+ Revision: 150294
- Disable clucene build for now (won't work with clucene 2.3.3.4)

* Thu May 19 2011 dmorgan <dmorgan> 1.2.17-1.mga1
+ Revision: 99793
- Update to version 1.2.17 ( Fix crashes ( see http://dovecot.org/pipermail/dovecot/2011-May/059086.html ) )

* Thu Mar 24 2011 dmorgan <dmorgan> 1.2.16-4.mga1
+ Revision: 77094
- Rebuild against new mysql

* Mon Feb 21 2011 dmorgan <dmorgan> 1.2.16-3.mga1
+ Revision: 55194
- imported package dovecot

